error in stalling kernel source with smart - Suse

This is a discussion on error in stalling kernel source with smart - Suse ; I am trying to upgrade the kernel in SUSE 10.1. Smart gives me 6 messages like: file /etc/init.d/running-kernel from install of kernel-source-2.6.15.53-0.8 conflicts with file from package kernel-source-2.6.16.13-4 I have never seen this before with smart. How do I get ...

+ Reply to Thread
Results 1 to 4 of 4

Thread: error in stalling kernel source with smart

  1. error in stalling kernel source with smart

    I am trying to upgrade the kernel in SUSE 10.1.
    Smart gives me 6 messages like:
    file /etc/init.d/running-kernel from install of
    kernel-source-2.6.15.53-0.8 conflicts with file from package
    kernel-source-2.6.16.13-4
    I have never seen this before with smart. How do I get the new source
    to
    install?

    Thanks,
    Jim


  2. Re: error in stalling kernel source with smart

    On Sep 6, 9:27 pm, "jamesromeongmail.com" wrote:
    > I am trying to upgrade the kernel in SUSE 10.1.
    > Smart gives me 6 messages like:
    > file /etc/init.d/running-kernel from install of
    > kernel-source-2.6.15.53-0.8 conflicts with file from package
    > kernel-source-2.6.16.13-4
    > I have never seen this before with smart. How do I get the new source
    > to
    > install?
    >
    > Thanks,
    > Jim


    You had me worried there for a bit. I have now just successfully
    updated to
    kernel-source-2.6.16.53-0.8 from (I think)
    kernel-source-2.6.16.27-0.9-default (32-bit, 1 processor).
    There were no problems.

    I suppose if I had your problem I would go to ftp://ftp.suse.com/pub/suse/update/10.1/rpm
    and try downloading the kernel source package directly (the full rpm
    package, not the delta) and try updating from that. Maybe even in
    single-user mode.
    The package has different versions for .i586 and x86_64.


  3. Re: error in stalling kernel source with smart

    On Sep 6, 9:27 pm, "jamesromeongmail.com" wrote:
    > I am trying to upgrade the kernel in SUSE 10.1.
    > Smart gives me 6 messages like:
    > file /etc/init.d/running-kernel from install of
    > kernel-source-2.6.15.53-0.8 conflicts with file from package
    > kernel-source-2.6.16.13-4
    > I have never seen this before with smart. How do I get the new source
    > to
    > install?
    >
    > Thanks,
    > Jim


    I just saw a claim in the (mostly) German language news:alt.linux.suse
    that SuSE/Novell had compiled this kernel with gcc 4.1.2 rather than
    4.1.0 which is the level 10.1 came with. He noticed because he was
    trying to compile additional modules and got conflicts.
    On the other hand, your problem was with the kernel source module.


  4. Re: error in stalling kernel source with smart

    On Thu, 06 Sep 2007 12:27:50 -0700, jamesromeongmail.com wrote:

    > I am trying to upgrade the kernel in SUSE 10.1. Smart gives me 6
    > messages like:
    > file /etc/init.d/running-kernel from install of
    > kernel-source-2.6.15.53-0.8 conflicts with file from package
    > kernel-source-2.6.16.13-4
    > I have never seen this before with smart. How do I get the new source to
    > install?


    I've found that if you first select the Remove option to remove the
    previous source, and then manually select Install (rather than Upgrade)
    to install the new source them Smart will work fine.

    Not quite sure why this happens, though.

    --
    Rob
    http://www.uicstock.org.uk/
    To reply, remove zudo

+ Reply to Thread